Component Animation


#1

I have two components in my drawing, one of which, in use, moves in relation to the other. I would like to animate how they interact. Anybody point me at a how-to video or whatever that will help?


#2

Suncoaster

Out of the box, SketchUp does not animate objects but there are some extensions in the SketchUp universe that provide that functionality. One in the Extension Warehouse is called Keyframe Animation


Cheers
CD


#3

Knowing more about you intent would be useful. If you are an engineer see https://sites.google.com/site/sketchupsage/resources#engineering, specially the SimFonIA plugin. A potpourri of stuff see https://sites.google.com/site/sketchupsage/tips-tricks#TOC-Scene-Animation-Round-Up.


#4

If you need a physical simulation, you can have a look at SketchyPhysics.


#5

Hi Tracy,

You can create the illusion of an object moving by creating multiple copies of the object positioned incrementally along the intended path.
In many ways the method is akin to Flip Book animation.

Each instance of the object is assigned to a unique Layer.
The visibility of each Layer is controlled by the Saved Properties of each Scene you create.
Camera Location remains static from Scene > Scene.

Take a look at the animation models below.
Open the Entity Info, Layers and Scene mangers to see the relationship of Scene, Layer and Entity as you click through the Scene tabs.


Animating elements in a drawing
#6

Hi Geo!

I wonder if you can help me with a simple “animation”.
I have several instances of a brick component.
I would like to show(or hide) them one by one with a small delay.
My code below just does not work.
It works for the first few bricks than it waits and displays the final state .
I understand that this is somethjing to do with asynch feature of Sketschup.
But can not find solution using Google.
Can you direct me to a link where I can find more info on this ?

model = Sketchup.active_model # OK
defns = model.definitions
view = model.active_view

defns.each{|defn|
defn.instances.each{|inst|
inst.visible = false
sleep(0.2) #Half a second
newview = view.refresh
}
}


#7

I don’t understand your need for Ruby scripting to accomplish what you want.

Only SketchUp’s native tools were used to create the example models shared in my previous post.
Look to the top menus … Window > Model Info > Animation … to set the timing.


#8

Thanks for your reply!

Maybe I did not post my question to the right place.
( I need to better understand how the forum Works).

However I am afraid that I can not use standard SU tools.
My model includes several hundreds of my special bricks.
I need to show these bricks one-by-one.
I mean on this that the first “scene” would be empty.
Second “scene” would display only the first brick,
the third “scene” would show one more brick, and so on.

That means I would need the same size on scenes
as the number of bricks (500-1000)
and I think this is way much more than SU Scenes can handle.

However I think/hope that ruby scripts can handle this issue easily.

Sorry again, if I posted my question to the wrong place!

All the best, Viktor


#9

Perhaps I should also mention that I do not want to move anything.
Only make them visible one-by-one.


#10

In what form?
IE:
A linear wall? (stacked)
On a flat plane. (like a patio)
Other?
If one of the above you may want to look at Animator Beta “Movement Apparition” which is based on sliding section planes. Edit: (plug-in author: fredo6)

Charlie


#11

The code poster reached out to me via private messaging, and was informed where to ask coding questions, how to format code and other tidbits.

@GregIII, if you use the Categories page as your browsing page, you’ll see both the Category and Latest post listings. It’ll help new member understand how the forum is organized.

FYI, @GregIII has since properly posted in the correct category for asking Ruby coding questions …


#12

That is precisely what you can accomplish with Layers and Scenes.
The only thing in SketchUp that moves (natively) is the camera.



#13

But he said …

No one wants to create a scene and a layer for each of thousands of bricks !